import { ElementRef, Renderer2, InputSignal } from "@angular/core";
import type { SizeName } from "../../constants/device-sizes";
import type { Dictionary } from "../../types/typescript";
import type { Column, ColumnProps } from "./columns.types";
import * as i0 from "@angular/core";
type CSSVal = string | number;
export default class Columns {
    private renderer;
    protected readonly getColumnsClass: (id?: string) => string;
    protected readonly TARGET: import("../../types/targets").Target;
    space: InputSignal<ColumnProps["space"]>;
    columns: InputSignal<ColumnProps["columns"]>;
    stackColumnsAt: InputSignal<ColumnProps["stackColumnsAt"]>;
    builderLinkComponent: InputSignal<ColumnProps["builderLinkComponent"]>;
    reverseColumnsWhenStacked: InputSignal<ColumnProps["reverseColumnsWhenStacked"]>;
    builderContext: InputSignal<ColumnProps["builderContext"]>;
    builderBlock: InputSignal<ColumnProps["builderBlock"]>;
    builderComponents: InputSignal<ColumnProps["builderComponents"]>;
    elRef0: import("@angular/core").Signal<ElementRef<any>>;
    _listenerFns: Map<any, any>;
    gutterSize: import("@angular/core").Signal<number>;
    cols: import("@angular/core").Signal<Column[]>;
    stackAt: import("@angular/core").Signal<"tablet" | "mobile" | "never">;
    flexDir: import("@angular/core").Signal<"row" | "column-reverse" | "column">;
    getTagName(column: Column): any;
    getWidth(index: number): number;
    getColumnCssWidth(index: number): string;
    getTabletStyle({ stackedStyle, desktopStyle, }: {
        stackedStyle: CSSVal;
        desktopStyle: CSSVal;
    }): CSSVal;
    getMobileStyle({ stackedStyle, desktopStyle, }: {
        stackedStyle: CSSVal;
        desktopStyle: CSSVal;
    }): CSSVal;
    columnsCssVars(): Dictionary<string>;
    columnCssVars(index: number): Dictionary<string>;
    getWidthForBreakpointSize(size: SizeName): number;
    columnsStyles(): string;
    getAttributes(column: any, index: number): {
        style: string | Partial<CSSStyleDeclaration>;
        href?: any;
    };
    templateStr_9tnc0u(column: any, index: any): string;
    setAttributes(el: HTMLElement, value: any, changes?: any): void;
    trackByColumn0(index: number, column: any): number;
    constructor(renderer: Renderer2);
    ngAfterViewInit(): void;
    ngOnDestroy(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<Columns, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<Columns, "columns", never, { "space": { "alias": "space"; "required": false; "isSignal": true; }; "columns": { "alias": "columns"; "required": false; "isSignal": true; }; "stackColumnsAt": { "alias": "stackColumnsAt"; "required": false; "isSignal": true; }; "builderLinkComponent": { "alias": "builderLinkComponent"; "required": false; "isSignal": true; }; "reverseColumnsWhenStacked": { "alias": "reverseColumnsWhenStacked"; "required": false; "isSignal": true; }; "builderContext": { "alias": "builderContext"; "required": false; "isSignal": true; }; "builderBlock": { "alias": "builderBlock"; "required": false; "isSignal": true; }; "builderComponents": { "alias": "builderComponents"; "required": false; "isSignal": true; }; }, {}, never, never, true, never>;
}
export {};
